### File

`src/app/shared/footer/footer.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `app-footer`
styleUrls | `./footer.component.scss`
templateUrl | `./footer.component.html`

### Index

###### Properties
currentYear
###### Methods
ngOnInit

### Constructor

`constructor()`
Defined in src/app/shared/footer/footer.component.ts:10

### Methods

ngOnInit
`ngOnInit()`
Defined in src/app/shared/footer/footer.component.ts:13
Returns : `void`

### Properties

currentYear
Default value : `new Date().getFullYear()`
Defined in src/app/shared/footer/footer.component.ts:10

    import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';

    @Component({
      selector: 'app-footer',
      templateUrl: './footer.component.html',
      styleUrls: ['./footer.component.scss'],
      changeDetection: ChangeDetectionStrategy.OnPush,
    })
    export class FooterComponent implements OnInit {
      currentYear = new Date().getFullYear();
      constructor() {}

      ngOnInit(): void {}
    }

    <!-- Footer Start -->
    <footer class="footer">
      <a target="blank" title="GPL-3" href="https://www.gnu.org/licenses/gpl-3.0.en.html"> Copyleft </a>
      🄯.
      {{ currentYear }}
      <a target="blank" title="Gitlab@GrassrootsEconomics" href="https://gitlab.com/grassrootseconomics"
        ><u> Grassroots Economics </u></a
      >
    </footer>
    <!-- end Footer -->

`./footer.component.scss`

Legend
Html element
Component
Html element with directive

# result-matching ""

# No results matching ""